Package org.oasis_open.docs.ws_calendar.ns.soap

# Class UpdateItemType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.BaseRequestType
org.oasis_open.docs.ws_calendar.ns.soap.UpdateItemType

public class UpdateItemType extends BaseRequestType
Message to update a calendar item. The supplied changeToken MUST match the etoken held by the service.

Java class for UpdateItemType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="UpdateItemType">
       <complexContent>
         <extension base="{http://docs.oasis-open.org/ws-calendar/ns/soap}BaseRequestType">
           <sequence>
             <element name="changeToken" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="select" type="{http://docs.oasis-open.org/ws-calendar/ns/soap}ComponentSelectionType" maxOccurs="unbounded"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `changeToken`
  `protected List<ComponentSelectionType>`
  `select`

  ### Fields inherited from class org.oasis_open.docs.ws_calendar.ns.soap.BaseRequestType

  `href, id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateItemType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getChangeToken()`
  Gets the value of the changeToken property.
  `List<ComponentSelectionType>`
  `getSelect()`
  Gets the value of the select property.
  `void`
  `setChangeToken(String value)`
  Sets the value of the changeToken property.

  ### Methods inherited from class org.oasis_open.docs.ws_calendar.ns.soap.BaseRequestType

  `getHref, getId, setHref, setId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### changeToken

    protected String changeToken

  - ### select

    protected List<ComponentSelectionType> select

- ## Constructor Details

  - ### UpdateItemType

    public UpdateItemType()

- ## Method Details

  - ### getChangeToken

    public String getChangeToken()
    Gets the value of the changeToken property.
    Returns:
      possible object is `String`

  - ### setChangeToken

    public void setChangeToken(String value)
    Sets the value of the changeToken property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSelect

    public List<ComponentSelectionType> getSelect()
    Gets the value of the select property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the select property.

    For example, to add a new item, do as follows:

            getSelect().add(newItem);

    Objects of the following type(s) are allowed in the list `ComponentSelectionType`